RDKit: RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams Struct Reference

`#include <SynthonSpace.h>`

## Public Attributes
std::int64_t | maxHits {1000}
std::uint64_t | maxNumFragSets
std::int64_t | toTryChunkSize {2500000}
std::int64_t | hitStart {0}
bool | randomSample {false}
int | randomSeed {-1}
bool | buildHits {true}
int | numRandomSweeps {10}
double | similarityCutoff {0.5}
double | fragSimilarityAdjuster
double | approxSimilarityAdjuster
unsigned int | minHitHeavyAtoms {0}
int | maxHitHeavyAtoms {-1}
double | minHitMolWt {0}
double | maxHitMolWt {0}
unsigned int | minHitChiralAtoms
int | maxHitChiralAtoms {-1}
std::uint64_t | timeOut {600}
int | numThreads = 1

## Detailed Description

Definition at line 58 of file SynthonSpace.h.

## Member Data Documentation

## ◆ approxSimilarityAdjuster

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::approxSimilarityAdjuster

Initial value:
{
0.1}

Definition at line 103 of file SynthonSpace.h.

## ◆ buildHits

bool RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::buildHits {true}

Definition at line 84 of file SynthonSpace.h.

## ◆ fragSimilarityAdjuster

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::fragSimilarityAdjuster

Initial value:
{
0.1}

Definition at line 95 of file SynthonSpace.h.

## ◆ hitStart

std::int64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::hitStart {0}

Definition at line 77 of file SynthonSpace.h.

## ◆ maxHitChiralAtoms

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxHitChiralAtoms {-1}

Definition at line 121 of file SynthonSpace.h.

## ◆ maxHitHeavyAtoms

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxHitHeavyAtoms {-1}

Definition at line 114 of file SynthonSpace.h.

## ◆ maxHitMolWt

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxHitMolWt {0}

Definition at line 117 of file SynthonSpace.h.

## ◆ maxHits

std::int64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxHits {1000}

Definition at line 59 of file SynthonSpace.h.

## ◆ maxNumFragSets

std::uint64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxNumFragSets

Initial value:
{
100000}

Definition at line 61 of file SynthonSpace.h.

## ◆ minHitChiralAtoms

unsigned int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::minHitChiralAtoms

Initial value:
{
0}

Definition at line 119 of file SynthonSpace.h.

## ◆ minHitHeavyAtoms

unsigned int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::minHitHeavyAtoms {0}

Definition at line 113 of file SynthonSpace.h.

## ◆ minHitMolWt

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::minHitMolWt {0}

Definition at line 116 of file SynthonSpace.h.

## ◆ numRandomSweeps

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::numRandomSweeps {10}

Definition at line 86 of file SynthonSpace.h.

## ◆ numThreads

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::numThreads = 1

Definition at line 125 of file SynthonSpace.h.

## ◆ randomSample

bool RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::randomSample {false}

Definition at line 80 of file SynthonSpace.h.

## ◆ randomSeed

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::randomSeed {-1}

Definition at line 82 of file SynthonSpace.h.

## ◆ similarityCutoff

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::similarityCutoff {0.5}

Definition at line 90 of file SynthonSpace.h.

## ◆ timeOut

std::uint64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::timeOut {600}

Definition at line 123 of file SynthonSpace.h.

## ◆ toTryChunkSize

std::int64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::toTryChunkSize {2500000}

Definition at line 68 of file SynthonSpace.h.

The documentation for this struct was generated from the following file:

- SynthonSpace.h